Vendor types. is_oem is what warranty routing prefers when a job is covered.
curl --request POST \
--url https://app.assetinfinity.ai/api/vendor_type_settings \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"is_authorized_provider": true,
"is_contractor": true,
"is_oem": true,
"is_parts_supplier": true,
"is_rental_supplier": true,
"name": "<string>",
"row_version": 123,
"vendors": 123
}
'import requests
url = "https://app.assetinfinity.ai/api/vendor_type_settings"
payload = {
"code": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": True,
"is_authorized_provider": True,
"is_contractor": True,
"is_oem": True,
"is_parts_supplier": True,
"is_rental_supplier": True,
"name": "<string>",
"row_version": 123,
"vendors": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_active: true,
is_authorized_provider: true,
is_contractor: true,
is_oem: true,
is_parts_supplier: true,
is_rental_supplier: true,
name: '<string>',
row_version: 123,
vendors: 123
})
};
fetch('https://app.assetinfinity.ai/api/vendor_type_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Vendor and contract configuration
Vendor types. is_oem is what warranty routing prefers when a job is covered.
POST
/
vendor_type_settings
Vendor types. is_oem is what warranty routing prefers when a job is covered.
Headers
Preference
Available options:
return=representation, return=minimal, return=none, resolution=ignore-duplicates, resolution=merge-duplicates Query Parameters
Filtering Columns
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
vendor_type_settings
Vendor types. is_oem is what warranty routing prefers when a job is covered.
Maximum string length:
40Note: This is a Primary Key.
Maximum string length:
150Response
201
Created
Related topics
Inside a vendorEntitlements and claimsInside a work orderCore conceptsVendor and contract settingsWas this page helpful?
⌘I

